## ros-humble-clearpath-platform 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(clearpath_platform)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)

find_package(controller_interface REQUIRED)
find_package(controller_manager REQUIRED)
find_package(controller_manager_msgs REQUIRED)
find_package(clearpath_platform_msgs REQUIRED)
find_package(hardware_interface REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp REQUIRED)

find_package(geometry_msgs REQUIRED)
find_package(nav_msgs REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(std_msgs REQUIRED)
find_package(std_srvs REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_ros REQUIRED)


## COMPILE

# A200 Hardware
add_library(
  a200_hardware
  SHARED
  src/a200_hardware.cpp
  src/a200_status.cpp
  src/horizon_legacy/horizon_legacy_wrapper.cpp
  src/horizon_legacy/crc.cpp
  src/horizon_legacy/Logger.cpp
  src/horizon_legacy/Message.cpp
  src/horizon_legacy/Message_data.cpp
  src/horizon_legacy/Message_request.cpp
  src/horizon_legacy/Message_cmd.cpp
  src/horizon_legacy/Transport.cpp
  src/horizon_legacy/Number.cpp
  src/horizon_legacy/linux_serial.cpp
)

target_include_directories(
  a200_hardware
  PRIVATE
  include
)

ament_target_dependencies(
  a200_hardware
  clearpath_platform_msgs
  hardware_interface
  pluginlib
  rclcpp
)


# J100 Hardware
add_library(
  j100_hardware
  SHARED
  src/j100_hardware.cpp
  src/j100_hardware_interface.cpp
)

target_include_directories(
  j100_hardware
  PRIVATE
  include
)

ament_target_dependencies(
  j100_hardware
  clearpath_platform_msgs
  hardware_interface
  pluginlib
  rclcpp
)


pluginlib_export_plugin_description_file(hardware_interface a200_hardware.xml)
pluginlib_export_plugin_description_file(hardware_interface j100_hardware.xml)


# INSTALL
install(
  TARGETS a200_hardware j100_hardware
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)
install(
  DIRECTORY include/
  DESTINATION include
)

install(DIRECTORY config launch
  DESTINATION share/${PROJECT_NAME}
)

## EXPORTS
ament_export_include_directories(
  include
)
ament_export_libraries(
  a200_hardware
  j100_hardware
)
ament_export_dependencies(
  hardware_interface
  pluginlib
  rclcpp
)

ament_package()

=== debian/changelog ===
ros-humble-clearpath-platform (0.1.1-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 25 Aug 2023 04:00:00 -0000

ros-humble-clearpath-platform (0.1.0-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 17 Aug 2023 04:00:00 -0000

ros-humble-clearpath-platform (0.0.9-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 31 Jul 2023 04:00:00 -0000

ros-humble-clearpath-platform (0.0.8-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 24 Jul 2023 04:00:00 -0000

ros-humble-clearpath-platform (0.0.7-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 19 Jul 2023 04:00:00 -0000

ros-humble-clearpath-platform (0.0.6-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 13 Jul 2023 04:00:00 -0000

ros-humble-clearpath-platform (0.0.5-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 12 Jul 2023 04:00:00 -0000

ros-humble-clearpath-platform (0.0.4-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 07 Jul 2023 04:00:00 -0000

ros-humble-clearpath-platform (0.0.3-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 05 Jul 2023 04:00:00 -0000

ros-humble-clearpath-platform (0.0.2-1jammy) jammy; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 04 Jul 2023 04:00:00 -0000

ros-humble-clearpath-platform (0.0.1-1jammy) jammy; urgency=high

  * Added namespacing support
  * Updated dependencies
  * Added clearpath_generator_common
    Moved clearpath_platform to clearpath_common
    Fixed use_sim_time parameter issue with ekf_node
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 21 Jun 2023 04:00:00 -0000

=== debian/control ===
Source: ros-humble-clearpath-platform
Section: misc
Priority: optional
Maintainer: Luis Camero <lcamero@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-clearpath-platform-msgs, ros-humble-controller-interface, ros-humble-controller-manager, ros-humble-controller-manager-msgs, ros-humble-geometry-msgs, ros-humble-hardware-interface, ros-humble-nav-msgs, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-tf2, ros-humble-tf2-ros, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-clearpath-platform
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-clearpath-control, ros-humble-clearpath-platform-description, ros-humble-clearpath-platform-msgs, ros-humble-controller-interface, ros-humble-controller-manager, ros-humble-controller-manager-msgs, ros-humble-geometry-msgs, ros-humble-hardware-interface, ros-humble-nav-msgs, ros-humble-pluginlib, ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-tf2, ros-humble-tf2-ros, ros-humble-xacro, ros-humble-ros-workspace
Description: Clearpath Platform Drivers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-clearpath-platform//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-clearpath-platform 0.2.9

=== debian/changelog ===
ros-humble-clearpath-platform (0.2.9-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 27 May 2024 16:00:00 -0000

ros-humble-clearpath-platform (0.2.8-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 13 May 2024 16:00:00 -0000

ros-humble-clearpath-platform (0.2.7-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 07 Apr 2024 16:00:00 -0000

ros-humble-clearpath-platform (0.2.6-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 17 Jan 2024 16:00:00 -0000

ros-humble-clearpath-platform (0.2.5-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 14 Jan 2024 16:00:00 -0000

ros-humble-clearpath-platform (0.2.4-1bookworm) bookworm; urgency=high

  * Fixed lighting lib install
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 10 Jan 2024 16:00:00 -0000

ros-humble-clearpath-platform (0.2.3-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 07 Jan 2024 16:00:00 -0000

ros-humble-clearpath-platform (0.2.2-1bookworm) bookworm; urgency=high

  * Fixed status topic names
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 03 Jan 2024 16:00:00 -0000

ros-humble-clearpath-platform (0.2.1-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 20 Dec 2023 16:00:00 -0000

ros-humble-clearpath-platform (0.2.0-1bookworm) bookworm; urgency=high

  * Pass robot description to controller manager over topic
  * [clearpath_platform] Re-added position state to hardware interface.
  * Added W200 Hardware interface.
  * Use path substitution
  * Updated lighting patterns
    Added charged state
  * Comments
  * Cleanup
  * Fill lights by platform
  * Lighting states
  * Working HSV
  * Initial lighting node
  * Whitespace
  * Base diff drive hardware and hardware interface class
    J100 and W200 inherit from diff drive
    Moved each platform into its own folder
  * Contributors: Luis Camero, Roni Kreinin, Tony Baltovski

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 07 Dec 2023 16:00:00 -0000

ros-humble-clearpath-platform (0.1.3-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 02 Nov 2023 16:00:00 -0000

ros-humble-clearpath-platform (0.1.2-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 01 Oct 2023 16:00:00 -0000

ros-humble-clearpath-platform (0.1.1-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 24 Aug 2023 16:00:00 -0000

ros-humble-clearpath-platform (0.1.0-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 16 Aug 2023 16:00:00 -0000

ros-humble-clearpath-platform (0.0.9-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 30 Jul 2023 16:00:00 -0000

ros-humble-clearpath-platform (0.0.8-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 23 Jul 2023 16:00:00 -0000

ros-humble-clearpath-platform (0.0.7-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 18 Jul 2023 16:00:00 -0000

ros-humble-clearpath-platform (0.0.6-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 12 Jul 2023 16:00:00 -0000

ros-humble-clearpath-platform (0.0.5-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 11 Jul 2023 16:00:00 -0000

ros-humble-clearpath-platform (0.0.4-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 06 Jul 2023 16:00:00 -0000

ros-humble-clearpath-platform (0.0.3-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 04 Jul 2023 16:00:00 -0000

ros-humble-clearpath-platform (0.0.2-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 03 Jul 2023 16:00:00 -0000

ros-humble-clearpath-platform (0.0.1-1bookworm) bookworm; urgency=high

  * Added namespacing support
  * Updated dependencies
  * Added clearpath_generator_common
    Moved clearpath_platform to clearpath_common
    Fixed use_sim_time parameter issue with ekf_node
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 20 Jun 2023 16:00:00 -0000

## ros-humble-clearpath-platform 0.3.4

=== debian/changelog ===
ros-humble-clearpath-platform (0.3.4-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 07 Oct 2024 16:00:00 -0000

ros-humble-clearpath-platform (0.3.3-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 03 Oct 2024 16:00:00 -0000

ros-humble-clearpath-platform (0.3.2-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Sat, 28 Sep 2024 16:00:00 -0000

ros-humble-clearpath-platform (0.3.1-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 22 Sep 2024 16:00:00 -0000

ros-humble-clearpath-platform (0.3.0-1bookworm) bookworm; urgency=high

  * Changes.
  * 0.3.0 Release Candidate with Main Changes (#81 <https://github.com/clearpathrobotics/clearpath_common/issues/81>)
    * Added tests
    * Added action to build from release and source
    * Generator linting erros
    * Customization linting errors
    * Linting
    * Fix: Remove IP address from discovery server launch so it listens on all NICs
    * Changes.
    * 0.2.8
    * Add sysctl config file that changes ipfrag settings to support receiving large messages
    * Added Zed URDF
    * Added Zed to description generator
    * Modified common parameter generation to always flatten
    * Changes.
    * 0.2.9
    * Missing important remapping to mirror hardware topics
    * Added topic to gazebo plugins
    * Updated topic names to match gazebo message types
    * Topics of simulated onboard sensors
    * Realsense adds optical links when in simulator
    * Changes.
    * 0.2.10
    * Modifies platform param to add GQ7 IMU data to ekf_localization and adds GQ7 URDF
    * Fixes styling issues
    * Set spawner as super client
    * Changes.
    * 0.2.11
    * Removed duplicate class
    * Use ROS1 covariance values
    * Updated renamed macanum drive controller
    * Enable gazebo friction plugin on DingoO
    ---------
    Co-authored-by: Hilary Luo <mailto:hluo@clearpathrobotics.com>
    Co-authored-by: Tony Baltovski <mailto:tbaltovski@clearpathrobotics.com>
    Co-authored-by: Steve Macenski <mailto:stevenmacenski@gmail.com>
    Co-authored-by: robbiefish <mailto:rob.fisher@hbkworld.com>
  * Add headers to Puma hardware
  * Updated puma topics
  * PumaHardwareInterface
  * 0.2.8
  * Changes.
  * 0.2.7
  * Changes.
  * 0.2.6
  * Changes.
  * 0.2.5
  * Changes.
  * 0.2.4
  * Changes.
  * Fixed lighting lib install
  * 0.2.3
  * Changes.
  * 0.2.2
  * Changes.xx
  * Fixed status topic names
  * 0.2.1
  * Changes.
  * Added needs reset lighting pattern
  * Contributors: Luis Camero, Roni Kreinin, Tony Baltovski, luis-camero
  * Added tests
  * Added action to build from release and source
  * Generator linting erros
  * Customization linting errors
  * Linting
  * Fix: Remove IP address from discovery server launch so it listens on all NICs
  * Add sysctl config file that changes ipfrag settings to support receiving large messages
  * Added Zed URDF
  * Added Zed to description generator
  * Modified common parameter generation to always flatten
  * Missing important remapping to mirror hardware topics
  * Added topic to gazebo plugins
  * Updated topic names to match gazebo message types
  * Topics of simulated onboard sensors
  * Realsense adds optical links when in simulator
  * Modifies platform param to add GQ7 IMU data to ekf_localization and adds GQ7 URDF
  * Fixes styling issues
  * Set spawner as super client
  * Removed duplicate class
  * Use ROS1 covariance values
  * Updated renamed macanum drive controller
  * Enable gazebo friction plugin on DingoO
  * Contributors: Luis Camero, Roni Kreinin, Tony Baltovski, luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 18 Sep 2024 16:00:00 -0000

ros-humble-clearpath-platform (0.2.11-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 07 Aug 2024 16:00:00 -0000

ros-humble-clearpath-platform (0.2.10-1bookworm) bookworm; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 24 Jul 2024 16:00:00 -0000

=== debian/control ===
Source: ros-humble-clearpath-platform
Section: misc
Priority: optional
Maintainer: Luis Camero <lcamero@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-clearpath-platform-msgs, ros-humble-controller-interface, ros-humble-controller-manager, ros-humble-controller-manager-msgs, ros-humble-geometry-msgs, ros-humble-hardware-interface, ros-humble-nav-msgs, ros-humble-pluginlib, ros-humble-puma-motor-msgs, ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-tf2, ros-humble-tf2-ros, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-clearpath-platform
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-clearpath-control, ros-humble-clearpath-platform-description, ros-humble-clearpath-platform-msgs, ros-humble-controller-interface, ros-humble-controller-manager, ros-humble-controller-manager-msgs, ros-humble-geometry-msgs, ros-humble-hardware-interface, ros-humble-nav-msgs, ros-humble-pluginlib, ros-humble-puma-motor-msgs, ros-humble-rclcpp, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-tf2, ros-humble-tf2-ros, ros-humble-xacro, ros-humble-ros-workspace
Description: Clearpath Platform Drivers.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-clearpath-platform//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-clearpath-platform//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-clearpath-platform//opt/ros/humble/opt/clearpath_platform/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
